%define 	name	gftp
%define 	version	2.0.6a
%define 	release	1
%define 	serial	2
%define 	prefix	/usr

Summary: 	Multithreaded FTP client for X Windows
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Internet
Url:		http://gftp.seul.org/
Vendor:		Brian Masney <masneyb@seul.org>
Source:		http://gftp.seul.org/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
Requires:	gtk+ >= 1.2.3

%description
gFTP is a multithreaded FTP client for X Windows written using Gtk. It
features simultaneous downloads, resuming of interrupted file transfers, file 
transfer queues, downloading of entire directories, ftp proxy support, remote 
directory caching, passive and non-passive file transfers, drag-n-drop support,
bookmarks menu, stop button, and many more features.

%prep
%setup -q

%build
%configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc ChangeLog COPYING* README TODO eplf.txt USERS-GUIDE
%{prefix}/bin/gftp
%{prefix}/share/gftp
%{prefix}/share/gnome/apps/Internet/gftp.desktop
%{prefix}/share/pixmaps/gftp.png
%{prefix}/man/man1/gftp.1
%{prefix}/share/locale/*/LC_MESSAGES/gftp.mo

%changelog
* Thu Dec 16 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-2.0.6a-1]
- Fixed crash that would occur in the history of the hostname
- Fixed problem with if you would hit the stop button, it would keep trying
  to connect to that old host even if you entered a new hostname
- Updated Polish and Danish translation

* Mon Dec  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-2.0.6-1]
- Redesigned the transfer window. Now, it is tree based, and you can see all
  the individual files that are to be transfered. Displays more informative
  information like estimated time remaining for the individual file, and
  estimated time remaining for all the files in that group.
- Added Chinese, Danish, Dutch, Finnish, Polish, Portuguese, Spanish, and 
  Swedish translation
- Updated all translation files
- You can now log into a http proxy with a username and password.
- When resizing gFTP to much larger sizes, the toolbar resizes better
- If you have save geometry set, gFTP will remember the column widths of the
  local and remote listboxes
- Added history to the hostname, port and username fields of the toolbar
- If you have preserve permisions set, then gFTP will save the date of the
  downloaded files (it will also still save the file permissions as well too
  like it used to)
- Now transfers the lists of subdirectories more efficiently
- Fixed crash that would occur when you would connect or delete files (only 
  reported on Sparc)
- Bookmarks are now stored in ~/.gftp/bookmarks. You can now associate a
  local directory with a bookmark. (Note: gFTP will automagically convert
  your bookmarks to the new format for you).
- Made protocols more modular. Added full support for http protocol. This
  will now make it much easier to add support for more protocols in the near
  future (like DAV support)
- Removed the Use proxy option under the FTP menu and in the bookmarks. You
  can now set up what hosts are on your local network subnet
- Improved USERS-GUIDE
- Many other small enhancements and lots of code cleanup

